Skip to content

Check Bridge Status

GET /status/{address}

Server: https://bridge.openfish.me (port 3004)

Auth: None

Tags: Bridge

The address can be a generated BSC deposit address or the Openfish wallet address.


NameTypeDescription
addressstringDeposit address or Openfish wallet address

200

{
"deposits": [
{
"fromChainId": "56",
"fromTokenAddress": "0xaE71fd8baCc2f17C43a01C3F4aFF6dEEbc194444",
"fromAmountBaseUnit": "1000000000000000000",
"toChainId": "56",
"toTokenAddress": "0xaE71fd8baCc2f17C43a01C3F4aFF6dEEbc194444",
"status": "CREDITED",
"txHash": "0x123...",
"createdTimeMs": 1770000000000
}
],
"withdrawals": [
{
"toChainId": "56",
"toTokenAddress": "0xaE71fd8baCc2f17C43a01C3F4aFF6dEEbc194444",
"recipientAddr": "0xdef...",
"status": "COMPLETED",
"txHash": "0x456...",
"amountBaseUnit": "1000000000000000000",
"feeBaseUnit": "0",
"createdTimeMs": 1770000000000
}
]
}

Terminal window
curl "https://bridge.openfish.me/status/0x23566f8b2E82aDfCf01846E54899d110e97AC053"